function sig_filt = MAfilter(sig_raw, MAhorz)
% Moving average filter.  Used to compute average communication rates.
%
% --
% Supplementary material (simulation examples) to:
%   Distributed Event-based State Estimation (technical report)
%   Event-based State Estimation: An Emulation-based Approach (journal)
%
% Copyright 2015-17 Max Planck Society. All rights reserved.
% 
% Sebastian Trimpe
% Max Planck Institute for Intelligent Systems
% Autonomous Motion Department
% strimpe(at)tuebingen.mpg.de
%
% Revision history
% [10.04.15]    first version
% [03.08.15]    some clean up

num = ones(MAhorz,1)/MAhorz;
den = 1;

for i=1:size(sig_raw,2)
    sig_filt(:,i) = filter(num,den,sig_raw);
end;
